hledger-1.30.1: Command-line interface for the hledger accounting system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Cli.Commands.Accounts

Description

The `accounts` command lists account names:

- in flat mode (default), it lists the full names of accounts posted to by matched postings, clipped to the specified depth, possibly with leading components dropped.
- in tree mode, it shows the indented short names of accounts posted to by matched postings, and their parents, to the specified depth.

Synopsis

- accountsmode :: Mode RawOpts
- accounts :: CliOpts -> Journal -> IO ()

# Documentation

accountsmode :: Mode RawOpts Source #

Command line options for this command.

accounts :: CliOpts -> Journal -> IO () Source #

The accounts command.